Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1634245

Summary: fontconfig-2.12.91 caused wqy-zeihei-fonts lost it's Chinese font name in `fc-list` output
Product: [Fedora] Fedora Reporter: LiuYan <lovetide>
Component: fontconfigAssignee: Akira TAGOH <tagoh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: ajax, alexl, fonts-bugs, i18n-bugs, john.j5live, mclasen, pnemade, rhughes, rstrode, sandmann, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fontconfig-2.13.0-5.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-14 23:40:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description LiuYan 2018-09-29 09:14:00 UTC
Description of problem:
After I upgraded to Fedora 28 from Fedora 27, I found the font displayed in my MATE desktop is not what I configured before, so I try to reconfigured, but I can't found the font name "文泉驿点阵正黑" anymore, (this made Chinese characters in images generated by gnuplot ("文泉驿点阵正黑" font named specifed) unreadable), but I do found it's alternative font name "WenQuanYi Zei Hei Sharp".

Also, I tried the recent released Fedora 29 Beta live CD, same issue still exists.

Version-Release number of selected component (if applicable):
1.12.91-1.fc28 +

How reproducible:
Always

Steps to Reproduce:
1. Boot from Fedora 28 or Fedora 29 Beta Live CD, and config the network to make sure it can access internet.
2. Install wqy-zenhei-fonts (issue `su` then `dnf install wqy-zenhei-fonts` in terminal)
3. Issue `LANG=zh_CN.UTF-8 fc-list | grep -i wqy-zenhei.ttc`

Actual results:
# fc-list | grep -i wqy-zenhei.ttc
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: WenQuanYi Zen Hei:style=Regular
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: WenQuanYi Zen Hei Sharp,文泉驛點陣正黑:style=Regular
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: WenQuanYi Zen Hei Mono:style=Regular

Expected results:
(this is from Fedora 27, with fontconfig 2.12.6-4.fc27)
# fc-list | grep -i wqy-zenhei.ttc
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: 文泉驿点阵正黑,文泉驛點陣正黑,WenQuanYi Zen Hei Sharp:style=Regular
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: 文泉驿等宽正黑,文泉驛等寬正黑,WenQuanYi Zen Hei Mono:style=Regular
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: 文泉驿正黑,文泉驛正黑,WenQuanYi Zen Hei:style=Regular


Additional info:
* Fedora 27 does not have this issue. Lastest fontconfig version in Fedora 27 is 2.12.6-4.fc27
* Fedora 29 Live CD still have this issue
* Interesting thing, adobe-source-han-sans-cn font is not affected:

  # fc-list | grep -i 思源黑体
  ...
  /usr/share/fonts/adobe-source-han-sans-cn/SourceHanSansCN-Normal.otf: 思源黑体 CN,Source Han Sans CN Normal,Source Han Sans CN:style=Normal,Regular
  ...

Comment 1 LiuYan 2018-10-09 03:10:19 UTC
fontconfig-2.13.1-1.fc29 seems had fixed this issue.

$ fc-list --version; fc-list | grep -i wqy-zenhei.ttc
fontconfig version 2.13.1
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: 文泉驿点阵正黑,文泉驛點陣正黑,WenQuanYi Zen Hei Sharp:style=Regular
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: 文泉驿等宽正黑,文泉驛等寬正黑,WenQuanYi Zen Hei Mono:style=Regular
/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc: 文泉驿正黑,文泉驛正黑,WenQuanYi Zen Hei:style=Regular

Can we have fontconfig-2.13.1 built for Fedora 28 too?

Comment 2 LiuYan 2018-10-10 04:09:56 UTC
* Add external freedesktop.org bug id '105756'
* See fontconfig 2.13.1 changelog: https://www.freedesktop.org/software/fontconfig/release/ChangeLog-2.13.1

Comment 3 Fedora Update System 2018-10-10 06:22:43 UTC
fontconfig-2.13.0-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-64df58b1e6

Comment 4 Fedora Update System 2018-10-10 23:26:48 UTC
fontconfig-2.13.0-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-64df58b1e6

Comment 5 Fedora Update System 2018-10-14 23:40:26 UTC
fontconfig-2.13.0-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.